Packages - Bug #3374

Repos out of sync with upstream for x86_64 since 2022-11-18
2022-11-22 10:44 AM - grizzlyuser

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

¢ steps to reproduce:
1) open https://www.parabola.nu/packages/?sort=-last update&arch=x86_64&g=&maintainer=&flagged=
2) compare with https:/archlinux.org/packages/?sort=-last_update
3) Remove all servers except the following from /etc/pacman.d/mirrorlist to keep only the main repo and exclude all the mirrors
Server = https://repo.parabola.nu/$repo/os/$arch
4) # pacman -Syy
5) pacman -Ss cmake

e expected result:
Step 2: maximum 1 day lag between Parabola repos and upstream repos, all upstream updates except blacklisted ones are
available in Parabola
Step 5: extra/cmake 3.25.0-1 (or newer) is in the output since it was updated upstream on 2022-11-21

e actual result:
Step 2: it looks like Parabola repos stopped syncing correctly since 2022-11-18, because only 5 updated packages are visible
since then, while upstream has dozens (hundreds?) at the same time.
Step 5: extra/cmake 3.24.3-1 is in the output

History

#1 - 2022-11-22 10:51 AM - grizzlyuser

Judging by cmake version, it looks like the same issue happened for armv7h, although it's harder to see it since Arch Linux ARM website doesn't
allow to sort packages by update date.

#2 - 2022-11-23 11:41 AM - grizzlyuser
1. Is there any way | can help in resolving this?

2. Are there any blockers?
3. Are there any workarounds?

#3 - 2022-11-27 12:14 PM - bill-auger

- Status changed from unconfirmed to confirmed

sry i saw this (or on IRC maybe) and i checked; but did not see the problem at the time

#4 - 2022-11-28 10:27 AM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to in progress

#5 - 2022-11-28 10:27 AM - bill-auger

- Status changed from in progress to fixed

alls well - thanks for noticing
